Skip to main content
PATCH
Update Contact
Updates fields on an existing contact record.

Path parameters

  • id (string, required): The unique identifier of the contact to update.

Required permissions

Requires an API key with the crm:write scope.

Authorizations

x-api-key
string
header
required

Workspace API key header. The key implicitly determines your workspace isolation. Scopes: crm:read for GET/HEAD/OPTIONS, crm:write for POST/PATCH/PUT/DELETE.

Path Parameters

id
string
required

The unique identifier of the contact

Body

application/json
first_name
string
Example:

"Jane"

last_name
string
Example:

"Smith"

phone_number
string
Example:

"5551234567"

country_code
string
Example:

"+1"

email
string<email>
Example:

"jane.smith@example.com"

tags
string[]
Example:
custom_fields
object
Example:

Response

Contact updated successfully

Standard envelope returned by POST, PATCH, PUT, and DELETE (mutation) endpoints

success
boolean
required
Example:

true

data
object
required

The created or updated entity

error
null
required
Example:

null